# class RSS::Atom::Feed::Entry::Source

Defines a `Atom` `Source` element. It has the following attributes:

- author

- category

- categories

- content

- contributor

- generator

- icon

- id

- link

- logo

- rights

- subtitle

- title

- updated

Reference: validator.w3.org/feed/docs/rfc4287.html#element.source

### Constants

Author

  `Feed::Author`

Category

  `Feed::Category`

Contributor

  `Feed::Contributor`

Generator

  `Feed::Generator`

Icon

  `Feed::Icon`

Id

  `Feed::Id`

Link

  `Feed::Link`

Logo

  `Feed::Logo`

Rights

  `Feed::Rights`

Subtitle

  `Feed::Subtitle`

Title

  `Feed::Title`

Updated

  `Feed::Updated`

### Public Instance Methods

have_author?() click to toggle source

Returns true if the `Source` element has an author.

    # File lib/rss/atom.rb, line 833
    def have_author?
      !author.to_s.empty?
    end